OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDF

# TDF_AttributeDelta Class Reference

This class discribes the services we need to
implement Delta and Undo/Redo services.
AttributeDeltas are applied in an unpredictable
order. But by the redefinition of the method
IsNowApplicable, a condition can be verified
before application. If the AttributeDelta is not
yet applicable, it is put at the end of the
AttributeDelta list, to be treated later. If a
dead lock if found on the list, the
AttributeDeltas are forced to be applied in an
unpredictable order.
.

`#include <TDF_AttributeDelta.hxx>`

Inheritance diagram for TDF_AttributeDelta:

[legend]

## Public Member Functions
virtual Standard_EXPORT void | Apply ()=0
| Applies the delta to the attribute. .
Standard_EXPORT TDF_Label | Label () const
| Returns the label concerned by <me>. .
Standard_EXPORT Handle_TDF_Attribute | Attribute () const
| Returns the reference attribute. .
Standard_EXPORT Standard_GUID | ID () const
| Returns the ID of the attribute concerned by <me>. .
virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &OS) const
| Dumps the contents. .
Standard_OStream & | operator<< (Standard_OStream &OS) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Protected Member Functions
Standard_EXPORT | TDF_AttributeDelta (const Handle(TDF_Attribute)&anAttribute)
## Private Attributes
Handle_TDF_Attribute | myAttribute
TDF_Label | myLabel

## Constructor & Destructor Documentation

Standard_EXPORT TDF_AttributeDelta::TDF_AttributeDelta | ( | const Handle(TDF_Attribute)& | anAttribute | ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT void TDF_AttributeDelta::Apply | ( |  | ) | `[pure virtual]`

| Implemented in TDataStd_DeltaOnModificationOfByteArray, TDataStd_DeltaOnModificationOfExtStringArray, TDataStd_DeltaOnModificationOfIntArray, TDataStd_DeltaOnModificationOfIntPackedMap, TDataStd_DeltaOnModificationOfRealArray, TDF_DefaultDeltaOnModification, TDF_DefaultDeltaOnRemoval, TDF_DeltaOnAddition, TDF_DeltaOnForget, TDF_DeltaOnModification, TDF_DeltaOnResume, TNaming_DeltaOnModification, and TNaming_DeltaOnRemoval.

Standard_EXPORT Handle_TDF_Attribute TDF_AttributeDelta::Attribute | ( |  | ) | const

virtual Standard_EXPORT Standard_OStream& TDF_AttributeDelta::Dump | ( | Standard_OStream & | OS | ) | const`[virtual]`

Standard_EXPORT const TDF_AttributeDelta::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in TDataStd_DeltaOnModificationOfByteArray, TDataStd_DeltaOnModificationOfExtStringArray, TDataStd_DeltaOnModificationOfIntArray, TDataStd_DeltaOnModificationOfIntPackedMap, TDataStd_DeltaOnModificationOfRealArray, TDF_DefaultDeltaOnModification, TDF_DefaultDeltaOnRemoval, TDF_DeltaOnAddition, TDF_DeltaOnForget, TDF_DeltaOnModification, TDF_DeltaOnRemoval, TDF_DeltaOnResume, TNaming_DeltaOnModification, and TNaming_DeltaOnRemoval.

Standard_EXPORT Standard_GUID TDF_AttributeDelta::ID | ( |  | ) | const

Standard_EXPORT TDF_Label TDF_AttributeDelta::Label | ( |  | ) | const

Standard_OStream& TDF_AttributeDelta::operator<< | ( | Standard_OStream & | OS | ) | const`[inline]`

## Field Documentation

Handle_TDF_Attribute TDF_AttributeDelta::myAttribute`[private]`

TDF_Label TDF_AttributeDelta::myLabel`[private]`

The documentation for this class was generated from the following file:

- TDF_AttributeDelta.hxx